Security update for texlive

SUSE Security Update: Security update for texlive
Announcement ID: SUSE-SU-2018:3033-2
Rating: important
References: #1109673
Cross-References: CVE-2018-17407
Affected Products:
  • SUSE OpenStack Cloud 7
  • SUSE Linux Enterprise Server for SAP 12-SP2
  • SUSE Linux Enterprise Server 12-SP2-LTSS
  • SUSE Linux Enterprise Server 12-SP2-BCL
  • SUSE Linux Enterprise Server 12-SP1-LTSS
  • SUSE Linux Enterprise Server 12-LTSS
  • SUSE Enterprise Storage 4

An update that fixes one vulnerability is now available.

Description:

This update for texlive fixes the following issue:

  • CVE-2018-17407: Prevent buffer overflow when handling of Type 1 fonts allowed arbitrary code execution when a malicious font was loaded by one of the vulnerable tools: pdflatex, pdftex, dvips, or luatex (bsc#1109673)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud 7:
    zypper in -t patch SUSE-OpenStack-Cloud-7-2019-458=1
  • SUSE Linux Enterprise Server for SAP 12-SP2:
    zypper in -t patch SUSE-SLE-SAP-12-SP2-2019-458=1
  • SUSE Linux Enterprise Server 12-SP2-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP2-2019-458=1
  • SUSE Linux Enterprise Server 12-SP2-BCL:
    zypper in -t patch SUSE-SLE-SERVER-12-SP2-BCL-2019-458=1
  • SUSE Linux Enterprise Server 12-SP1-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP1-2019-458=1
  • SUSE Linux Enterprise Server 12-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-2019-458=1
  • SUSE Enterprise Storage 4:
    zypper in -t patch SUSE-Storage-4-2019-458=1

Package List:

  • SUSE OpenStack Cloud 7 (s390x x86_64):
    • libkpathsea6-6.2.0dev-22.3.1
    • libkpathsea6-debuginfo-6.2.0dev-22.3.1
  • SUSE Linux Enterprise Server for SAP 12-SP2 (ppc64le x86_64):
    • libkpathsea6-6.2.0dev-22.3.1
    • libkpathsea6-debuginfo-6.2.0dev-22.3.1
  • SUSE Linux Enterprise Server 12-SP2-LTSS (ppc64le s390x x86_64):
    • libkpathsea6-6.2.0dev-22.3.1
    • libkpathsea6-debuginfo-6.2.0dev-22.3.1
  • SUSE Linux Enterprise Server 12-SP2-BCL (x86_64):
    • libkpathsea6-6.2.0dev-22.3.1
    • libkpathsea6-debuginfo-6.2.0dev-22.3.1
  • SUSE Linux Enterprise Server 12-SP1-LTSS (ppc64le s390x x86_64):
    • libkpathsea6-6.2.0dev-22.3.1
    • libkpathsea6-debuginfo-6.2.0dev-22.3.1
  • SUSE Linux Enterprise Server 12-LTSS (ppc64le s390x x86_64):
    • libkpathsea6-6.2.0dev-22.3.1
    • libkpathsea6-debuginfo-6.2.0dev-22.3.1
  • SUSE Enterprise Storage 4 (x86_64):
    • libkpathsea6-6.2.0dev-22.3.1
    • libkpathsea6-debuginfo-6.2.0dev-22.3.1

References: